Skip to content

POST /api/admin/abort-ready-q-conn/v1

Info

This page was generated by extracting information from a JSON Schema data file for the API. It may be missing some information, or otherwise suggest approximate or placeholder values based on information in the schema file; this is due to limitations on how that data is extracted from the underlying Rust code and into the JSON Schema, and then again from there and into these docs.

Abort the dispatcher task identified by session_id within the named ready queue.

This API endpoint is used by the kcli abort-ready-q-conn command.

Since: Dev Builds Only

The functionality described in this section requires a dev build of KumoMTA. You can obtain a dev build by following the instructions in the Installation section.

Returns 404 if either the queue or the session is unknown.

Request Body

The request body is required.

The Content-Type header must be set to application/json.

Request body for the abort-ready-q-conn endpoint.

Since: Dev Builds Only

The functionality described in this section requires a dev build of KumoMTA. You can obtain a dev build by following the instructions in the Installation section.

This is an object value, with the following properties:

  • queue_name - required string.

  • session_id - required string (uuid).

Examples

{
  "queue_name": "string",
  "session_id": "9511a32e-66f8-42aa-b151-ccb176df47d9"
}

Responses

Status 200

Aborted

Status 404

No matching queue or session